# ZTextStyle

class Tui::ZTextStyle

  This class is copyable and movable. It does define comparison operators for equality.

  A container to combine foreground color, background color and text attributes.

  Constructors

  ZTextStyle(Tui::ZColor fg, Tui::ZColor bg)
  ZTextStyle(Tui::ZColor fg, Tui::ZColor bg, Tui::ZTextAttributes attributes)

    Construct an instance of the class using the given parameters as colors and if given as attributes.

    If no attributes are given, all attributes are cleared.

  Functions

  Tui::ZColor foregroundColor() const
  void setForegroundColor(const Tui::ZColor &foregroundColor)

    Get or set the stored foreground color.

  Tui::ZColor backgroundColor() const
  void setBackgroundColor(const Tui::ZColor &backgroundColor)

    Get or set the stored background color.

  Tui::ZTextAttributes attributes() const
  void setAttributes(Tui::ZTextAttributes attributes)

    Get or set the stored attributes.